Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3632 - Pump cannot get dhcp address with build of kernel
Summary: Pump cannot get dhcp address with build of kernel
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-22 08:56 UTC by st_lim
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-03 15:48:31 UTC


Attachments (Terms of Use)

Description st_lim 1999-06-22 08:56:56 UTC
I built my kernel with some defined options.  I'm very sure that Alan Cox has set the values of SOCK_PACK. But no matter wat, whenever I recompile my kernel, and try to "ifup eth0", the whole system just hangs.  It's the same for both 2.2.5-22 and 2.2.10.

Miraculously, it seems to work when I use the default kernel that I get from the update mirrors for RedHat.  So wat's the problem.  I've looked at /usr/src/linux/net/ipv4 but there's really nothing there. How?

Thanx in advance whoever?

Ciao
ST Lim

Comment 1 David Lawrence 1999-06-22 18:00:59 UTC
Does this happen if you install the kernel-2.2.5-22.src.rpm and edit
the /usr/src/redhat/SOURCES/kernel-2.2-i386.config making the changes
that you want and then running

cd ../SPECS
rpm -ba kernel-2.2.spec



------- Additional Comments From   06/22/99 23:39 -------
I'm sorrie but that would not solve the fundamental problem rite? I've
not tried ur thing??  Err... I'm trying to compile my kernel. Not just
upgrading it from the module-loading form that redhat gives.  Anyway,
I might try that if it really gets me irritated... I'm running on the
given kernel-2.2.5-22.i386.rpm.

Okie anyway, I installed kernel-sources-2.2.5 and the same problem
also occured.  I stated just about the same options again, and pump
just dun work. Neither does DHCPcd. To make matters worse, running
pump -i eth0 can actually result in the entire system freezing.  I'm
using Linux coz of stability not to see it hanging... I hope u see my
point.

Anyway. I better stop this whining.. Ummm... basically, I'm sure that
the principle of providing updated kernel code to the community is to
ensure that there are not bugs rite??? I've got this bug... I'm not
that good to solve it so I just need this little help to get this up
and running.

Thanx in advance... Anyway, ur reply is of help, just that it's rather
limited since I'm looking for a none modular approach to solve this.

So? wat now?

Comment 2 Erik Troan 2000-02-03 15:48:59 UTC
If you're still having problems building a working version of pump, please
reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.